CREATE OR REPLACE  VIEW "IDM_RPT_DATA"."IDMRPT_PASSWORD_SUMMARY_V" AS
  SELECT DISTINCT events.event_datetime EVENT_PARSE_TIME,
 events.source_user_name INIT_USER_NAME,
  CASE WHEN  events.destination_user_name is NULL
  THEN  CASE WHEN events.source_user_name is NULL THEN events.init_user_id ELSE events.source_user_name END
  ELSE events.destination_user_name
  END
TARGET_USER_NAME,
CASE WHEN events.init_user_domain IS NULL THEN events.rv36
     ELSE CASE WHEN events.init_user_domain like '%cn=%'||'o=%'THEN '\'||substr(events.init_user_domain, INSTR(events.init_user_domain,'=',1,3)+1)||'\'|| substr(events.init_user_domain, INSTR(events.init_user_domain,'=',1,2)+1, INSTR(events.init_user_domain, ',',1,2)-INSTR(events.init_user_domain,'=',1,2)-1) ELSE  events.init_user_domain END
        END TARGET_USER_DOMAIN,
'Password changes' PASSWORD_GROUP,
events.event_datetime eventtime_day,
events.event_datetime eventtime_hour,
(CASE WHEN events.xdas_outcome_name = 'XDAS_OUT_SUCCESS' THEN
    1
 ELSE
    0
 END) SuccessCNT,
 (CASE WHEN events.xdas_outcome_name = 'XDAS_OUT_FAILURE' THEN
    1
 ELSE
    0
 END) FailureCNT,
 1 CNT,
events.event_name,
events.xdas_outcome_name outcome,
events.agent,
events.event_datetime
FROM
 idm_rpt_data.idmrpt_events_v2 events
WHERE
 (events.AGENT LIKE ('%' || 'Modular Authentication Services' || '%') OR events.AGENT LIKE ('%' || 'NetIQ eDirectory' || '%') OR events.AGENT LIKE ('%' || 'NetIQ Self Service Password Reset' || '%')) AND
 events.XDAS_TAXONOMY_NAME = 'XDAS_AE_SET_CRED_ACCOUNT' AND
(events.XDAS_OUTCOME_NAME = 'XDAS_OUT_SUCCESS'
   OR events.XDAS_OUTCOME_NAME = 'XDAS_OUT_FAILURE') AND
events.event_name LIKE('%' || 'PASSWORD' || '%')
ORDER BY
EVENT_PARSE_TIME;

GRANT SELECT ON idm_rpt_data.IDMRPT_PASSWORD_SUMMARY_V  TO idmrptuser;
CREATE OR REPLACE PUBLIC SYNONYM IDMRPT_PASSWORD_SUMMARY_V for IDM_RPT_DATA.IDMRPT_PASSWORD_SUMMARY_V;